Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564364 (CVE-2018-1315) - CVE-2018-1315 hive: 'COPY FROM FTP' feature allows malicious FTP server to write arbitrary files to the cluster
Summary: CVE-2018-1315 hive: 'COPY FROM FTP' feature allows malicious FTP server to wr...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-1315
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1564371
Blocks: 1564360
TreeView+ depends on / blocked
 
Reported: 2018-04-06 04:41 UTC by Sam Fowler
Modified: 2021-02-17 00:32 UTC (History)
5 users (show)

Fixed In Version: hive 2.3.3, hive 3.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:46 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-04-06 04:41:39 UTC
Apache Hive through version 2.3.2 has a vulnerability in the 'COPY FROM FTP' feature. When 'COPY FROM FTP' statement is run using HPL/SQL extension to Hive, a compromised/malicious FTP server can cause the file to be written to an arbitrary location on the cluster where the command is run from. This is because FTP client code in HPL/SQL does not verify the destination location of the downloaded file. This does not affect hive cli user and hiveserver2 user as hplsql is a separate command line script and needs to be invoked differently.


External References:

https://lists.apache.org/thread.html/d5da94ef60312c01a8d2348466680d1b5fb70702c71a3e84e94f7933@%3Cdev.hive.apache.org%3E


Upstream Issue:

https://issues.apache.org/jira/browse/HIVE-18815


Upstream Patches:

https://issues.apache.org/jira/secure/attachment/12912330/HIVE-18815.1.patch
https://issues.apache.org/jira/secure/attachment/12912689/HIVE-18815.1-branch-2.3.patch

Comment 1 Sam Fowler 2018-04-06 06:05:49 UTC
Created hive tracking bugs for this issue:

Affects: fedora-all [bug 1564371]


Note You need to log in before you can comment on or make changes to this bug.